grk::Scheduler Class Referenceabstract

`#include <Scheduler.h>`

Inheritance diagram for grk::Scheduler:

## Public Member Functions

| Scheduler (Tile *tile)
virtual | ~Scheduler ()
virtual bool | schedule (uint16_t compno)=0
void | graph (uint16_t compno)
bool | run (void)
ImageComponentFlow * | getImageComponentFlow (uint16_t compno)
tf::Taskflow & | getCodecFlow (void)
FlowComponent * | getPrePostProc (void)

## Protected Attributes

std::atomic_bool | success
std::vector< T1Interface * > | t1Implementations
ImageComponentFlow ** | imageComponentFlows_
tf::Taskflow | codecFlow_
Tile * | tile_
uint16_t | numcomps_
FlowComponent * | prePostProc_

## Constructor & Destructor Documentation

## Scheduler()

grk::Scheduler::Scheduler | ( | Tile * | tile | ) |

References grk::grk_read(), imageComponentFlows_, and numcomps_.

## ~Scheduler()

grk::Scheduler::~Scheduler | ( |  | ) |

virtual

References grk::grk_read(), imageComponentFlows_, numcomps_, prePostProc_, and t1Implementations.

## Member Function Documentation

## getCodecFlow()

tf::Taskflow & grk::Scheduler::getCodecFlow | ( | void |  | ) |

References codecFlow_.

Referenced by grk::TileProcessor::decompressT2T1().

## getImageComponentFlow()

ImageComponentFlow * grk::Scheduler::getImageComponentFlow | ( | uint16_t | compno | ) |

References imageComponentFlows_, and numcomps_.

Referenced by grk::TileProcessor::decompressT2T1(), and grk::DecompressScheduler::schedule().

## getPrePostProc()

FlowComponent * grk::Scheduler::getPrePostProc | ( | void |  | ) |

References FlowComponent::addTo(), codecFlow_, and prePostProc_.

Referenced by grk::TileProcessor::decompressT2T1().

## graph()

void grk::Scheduler::graph | ( | uint16_t | compno | ) |

References grk::ImageComponentFlow::graph(), grk::grk_read(), imageComponentFlows_, and numcomps_.

Referenced by grk::DecompressScheduler::schedule().

## run()

bool grk::Scheduler::run | ( | void |  | ) |

References codecFlow_, ExecSingleton::get(), and success.

Referenced by grk::TileProcessor::decompressT2T1().

## schedule()

virtual bool grk::Scheduler::schedule | ( | uint16_t | compno | ) |

pure virtual

Implemented in grk::CompressScheduler, and grk::DecompressScheduler.

Referenced by grk::TileProcessor::decompressT2T1(), and grk::TileProcessor::t1_encode().

## Member Data Documentation

## codecFlow_

tf::Taskflow grk::Scheduler::codecFlow_

protected

Referenced by getCodecFlow(), getPrePostProc(), run(), and grk::DecompressScheduler::schedule().

## imageComponentFlows_

ImageComponentFlow** grk::Scheduler::imageComponentFlows_

protected

Referenced by grk::CompressScheduler::CompressScheduler(), getImageComponentFlow(), graph(), grk::DecompressScheduler::scheduleBlocks(), Scheduler(), and ~Scheduler().

## numcomps_

uint16_t grk::Scheduler::numcomps_

protected

Referenced by grk::CompressScheduler::CompressScheduler(), getImageComponentFlow(), graph(), Scheduler(), and ~Scheduler().

## prePostProc_

FlowComponent* grk::Scheduler::prePostProc_

protected

Referenced by getPrePostProc(), and ~Scheduler().

## success

std::atomic_bool grk::Scheduler::success

protected

Referenced by run(), and grk::DecompressScheduler::scheduleBlocks().

## t1Implementations

std::vector<T1Interface*> grk::Scheduler::t1Implementations

protected

Referenced by grk::CompressScheduler::compress(), grk::CompressScheduler::compress(), grk::CompressScheduler::scheduleBlocks(), grk::DecompressScheduler::scheduleBlocks(), and ~Scheduler().

## tile_

Tile* grk::Scheduler::tile_

protected

Referenced by grk::DecompressScheduler::schedule(), grk::DecompressScheduler::scheduleBlocks(), and grk::DecompressScheduler::scheduleWavelet().

The documentation for this class was generated from the following files:

- Scheduler.h
- Scheduler.cpp